<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyCustomerSuccessStories',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="slp-mt-96">
    <SlpContainer>
      <div class="header">
        <SlpTypography tag="h2" variant="heading2-bold">
          {{ data.customer_success_stories.title }}
        </SlpTypography>
        <SlpButton
          variant="tertiary"
          :href="data.customer_success_stories.link.href"
        >
          {{ data.customer_success_stories.link.text }}
          <SlpIcon
            name="chevron-lg-right"
            variant="product"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </div>
      <SlpHorizontalRule />
      <div class="success-stories">
        <a
          v-for="story in data.customer_success_stories.stories"
          :key="story.title"
          class="success-story"
          :href="story.link"
        >
          <div class="slp-mb-32">
            <nuxt-img :src="story.image" />
            <SlpTypography tag="h4" variant="heading4-bold" class="slp-mt-24"
              >{{ story.title }}
            </SlpTypography>
            <SlpTypography tag="p" variant="body1" class="slp-mt-16"
              >{{ story.description }}
            </SlpTypography>
          </div>
          <SlpTypography
            variant="body2-bold"
            class="slp-flex slp-align-items-center slp-mb-16"
          >
            {{ data.customer_success_stories.read_story }}
            <SlpIcon
              class="slp-ml-8"
              variant="product"
              name="chevron-lg-right"
            />
          </SlpTypography>
        </a>
      </div>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: $spacing-32;
}

@media (max-width: $breakpoint-sm) {
  .header {
    display: block;
  }
}

.success-stories {
  margin-top: $spacing-32;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: $spacing-24;
  overflow-x: scroll;

  .success-story {
    padding: $spacing-16;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    transition: all 0.3s ease-in-out;

    * {
      color: $color-text-300;
    }

    &:hover {
      background: $color-surface-900;
      border-radius: 0 0 100px 0;
    }
  }
}
</style>
